Subject: Re: [bug#50833] [PATCH] gnu: Add bower.

From: Sarah Morgensen <[email-masked]>
Date: Thu, 30 Sep 2021 19:11:24 -0700

Hello,

Apologies for the delayed reply.

jgart <[email-masked]> writes:

>> If it's not possible to 'substitute*' those values, 'wrap-program' could
>> be used to add the correct directories to PATH, but that can introduce
>> other issues.
>
> I'll have to wrap my head around this one a bit more to understand what is needed.
>
> It looks like the mercury code does not call the binaries directly.
> I might be wrong. I have to take a closer look. Do you happen to have
> some places in the code where you see the binaries being called in a way that
> requires wrapping the path?

These are the locations I found.

src/compose.m
1488:base64_command = command_prefix(shell_quoted("base64"), quote_once).

src/detect_mime_type.m
55:file_command = command_prefix(shell_quoted("file"), quote_once).

src/prog_config.m
--8<---------------cut here---------------start------------->8---
:- func default_notmuch_command = command_prefix.

default_notmuch_command =
    command_prefix(shell_quoted("notmuch"), quote_once).

:- func default_editor_command = command_prefix.

default_editor_command =
    command_prefix(shell_quoted("vi"), quote_once).

:- func default_html_dump_command = command_prefix.

default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
    Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".

:- func default_open_part_command = string.

default_open_part_command = "xdg-open&".

:- func default_open_url_command = string.

default_open_url_command = "xdg-open&".

:- func default_pipe_id_command = string.

default_pipe_id_command = "xclip".

:- func default_alt_html_filter_command = command_prefix.

default_alt_html_filter_command =
    command_prefix(shell_quoted("pandoc -f markdown -t html"), quote_once).

:- func default_poll_period_secs = maybe(int).

default_poll_period_secs = yes(60).

:- func default_auto_refresh_inactive_secs = maybe(int).

default_auto_refresh_inactive_secs = no.

:- func default_sendmail_command = command_prefix.

default_sendmail_command =
    command_prefix(shell_quoted("/usr/bin/sendmail -oi -oem"), quote_once).
--8<---------------cut here---------------end--------------->8---

Also, I just caught one more thing--usually we write out the full URL in
the origin, rather than re-use the 'home-page' field.

Hope that helps,
--
Sarah